Name:           libunity
Version:        5.92.0
Release:        1%{?dist}
Summary:        A library for instrumenting and integrating with all aspects of the Unity shell

License:        LGPLv3 
URL:            https://launchpad.net/libunity
Source0:        https://launchpad.net/libunity/6.0/5.92.0/+download/libunity-5.92.0.tar.gz
Patch0:         libunity_gee_configure_version.patch
BuildRequires:  libgee-devel,dee-devel,libdbusmenu-devel
BuildRequires:  vala-devel,python2-devel,pkgconfig

#Requires:       libgee,dee,libdbusmenu
Requires:       vala,gobject-introspection,pygobject
%description
A library for instrumenting and integrating with all 
aspects of the Unity shell.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       vala-devel,pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        tools 
Summary:        Tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools 
The %{name}-tools package contains helper tools 
for applications that use %{name}.

%prep
%setup -q
%patch0

%build
# autogen to make sure the patched configure.ac is used
./autogen.sh --disable-static
%configure --disable-static
# The make clean is needed to clean out vala generated C files 
# in the upstream tarball so they can be regenerated. 
make clean 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING README AUTHORS
%{_libdir}/%{name}/*.so.*
%{_libdir}/*.so.*
%{_datadir}/gir-1.0/*
%{_libdir}/girepository-1.0/*
%{python_sitearch}/gi/overrides/*

%files tools 
%{_bindir}/*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/*

%changelog
* Mon Jul 23 2012 Jef Spaleta <jspaleta@fedoraproject.org> - 5.92.0-1
- First package for submission version 5.92.0

